Bug 90926 - footnote mark in heading is displayed in cross reference
Summary: footnote mark in heading is displayed in cross reference
Status: RESOLVED FIXED
Alias: None
Product: LibreOffice
Classification: Unclassified
Component: Writer (show other bugs)
Version:
(earliest affected)
Inherited From OOo
Hardware: Other All
: medium minor
Assignee: Andras Timar
URL:
Whiteboard: target:5.1.0 target:5.0.0.0.beta4
Keywords:
Depends on:
Blocks:
 
Reported: 2015-04-29 12:04 UTC by Andras Timar
Modified: 2016-10-25 19:23 UTC (History)
3 users (show)

See Also:
Crash report or crash signature:
Regression By:


Attachments
sample document (ODT) (11.65 KB, application/vnd.oasis.opendocument.text)
2015-04-29 12:04 UTC, Andras Timar
Details

Note You need to log in before you can comment on or make changes to this bug.
Description Andras Timar 2015-04-29 12:04:01 UTC
Created attachment 115180 [details]
sample document (ODT)

When a heading contains a footnote mark, a cross reference to this heading also contains the footnote mark. The expected behaviour would be to have the cross reference text without the footnote mark.
Comment 1 Buovjaga 2015-04-29 16:37:36 UTC
Reproduced by doing in the document: Insert - Cross-reference - Cross-references - Headings - Reference - Insert.

Win 7 Pro 64-bit Version: 5.0.0.0.alpha1+ (x64)
Build ID: f0edb677f09ad338e22ac3b5d91497b4479e0b3c
TinderBox: Win-x86_64@42, Branch:master, Time: 2015-04-27_01:54:20
Locale: fi_FI
Comment 2 A (Andy) 2015-06-11 18:04:48 UTC
Reproducible with LO 4.4.3.2, Win 8.1
Comment 3 Commit Notification 2015-06-11 20:04:07 UTC
Andras Timar committed a patch related to this issue.
It has been pushed to "master":

http://cgit.freedesktop.org/libreoffice/core/commit/?id=5956cbcbd4b59186d23a34f9d56892266482f251

tdf#90926 remove footnote mark from cross reference

It will be available in 5.1.0.

The patch should be included in the daily builds available at
http://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
http://wiki.documentfoundation.org/Testing_Daily_Builds
Affected users are encouraged to test the fix and report feedback.
Comment 4 Commit Notification 2015-06-11 20:31:55 UTC
Andras Timar committed a patch related to this issue.
It has been pushed to "libreoffice-5-0":

http://cgit.freedesktop.org/libreoffice/core/commit/?id=343d16a3527dd1d8487af040987095f7199ff010&h=libreoffice-5-0

tdf#90926 remove footnote mark from cross reference

It will be available in 5.0.0.0.beta4.

The patch should be included in the daily builds available at
http://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
http://wiki.documentfoundation.org/Testing_Daily_Builds
Affected users are encouraged to test the fix and report feedback.